#footer {
	isolation: isolate;
}
#footer:before {
	content: '';
	display: block;
	padding-top: 13.9%;
	margin: 0 30px -10px;
	
	background-color: #FFF;
	
	--mask-image: url(../../images/accents/accent-ipn.svg);
	--mask-position: top left;
	--mask-size: 100% auto;
	--mask-repeat: no-repeat;

	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
}

/*------------------------------------------------------------------------*/

#footer > .container {
	background-color: #FFF;
	border-top-left-radius: 30px;
	border-top-right-radius: 30px;
	
	color: #000;
}

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper {}
@media (min-width: 900px) {
	#footer > .container > .content-wrapper {
		display: grid;
		grid-auto-rows: auto;
	}
	#footer > .container > .content-wrapper:first-child {
		grid-template-areas:
			"logo			menu"
			"description	menu"
			"achievements	menu";
		grid-template-columns: 325px auto;
		row-gap: 35px;
		column-gap: 50px;
		padding: 75px 0 50px;
		
		border-bottom: solid 1px rgba(163,163,163,.2);
	}
	#footer > .container > .content-wrapper:last-child {
		grid-template-areas: "attributions legal";
		grid-template-columns: auto 1fr;
		row-gap: 10px;
		padding: 50px 0;
	}
}
@media (max-width: 899.99px) {
	#footer > .container > .content-wrapper {
		display: flex;
		flex-direction: column;
	}
	#footer > .container > .content-wrapper:first-child {
		row-gap: 35px;
		padding-top: 50px;
		margin-bottom: 50px;
	}
	#footer > .container > .content-wrapper:last-child {
		row-gap: 24px;
		padding-bottom: 50px;
	}
}

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper > .logo {
	grid-area: logo;
	
	position: relative;
	display: block; max-width: 275px;
	
	background-color: #1C3558;
	
	--mask-image: url(../../images/logo.svg);
	--mask-position: center;
	--mask-size: contain;
	--mask-repeat: no-repeat;

	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
}
#footer > .container > .content-wrapper > .logo:before {
	content: '';
	display: block;
	padding-top: 21.6%;
}

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper > .description {
	grid-area: description;
	max-width: 400px;
	margin: 0;
	
	line-height: 150%;
	font-size: 16px;
	font-weight: 500;
}

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper > .achievements {
	grid-area: achievements;
	height: 75px; width: calc(100% + 20px);
	margin: 0 -10px;
	padding: 0 10px;
	
	mask-image: linear-gradient(to left, rgba(0,0,0,0) 0px, rgba(0,0,0,1) 10px, rgba(0,0,0,1) calc(100% - 10px), rgba(0,0,0,0) 100%);
}
#footer > .container > .content-wrapper > .achievements .achievement { width: auto; }

/*------------------------------------------------------------------------*/

/*#footer > .container > .content-wrapper > .offices { grid-area: offices; }
#footer > .container > .content-wrapper > .offices .office {
	display: flex;
	flex-direction: column;
	row-gap: 15px;
	
	font-style: normal;
}
#footer > .container > .content-wrapper > .offices .office > .name { font-weight: 600; }
#footer > .container > .content-wrapper > .offices .office > .address {
	margin: 0;
	font-weight: 500;
}
@media (min-width: 900px) {
	#footer > .container > .content-wrapper > .offices {
		width: 100%;
	}
	#footer > .container > .content-wrapper > .offices .office { font-size: 12px; }
}*/

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper > .menu {
	grid-area: menu;
	display: flex;
}
#footer > .container > .content-wrapper > .menu > .menu-group {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}
#footer > .container > .content-wrapper > .menu > .menu-group > .title {
	font-weight: 500;
}
#footer > .container > .content-wrapper > .menu > .menu-group > .entries {}
#footer > .container > .content-wrapper > .menu > .menu-group > .entries > .links {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
}
#footer > .container > .content-wrapper > .menu > .menu-group > .entries > .links > .menu-item {
	font-size: 16px;
	font-weight: 500;
}
@media (min-width: 900px) {
	#footer > .container > .content-wrapper > .menu {
		flex-direction: row;
		justify-content: flex-start;
		column-gap: 50px;
		
		font-size: 12px;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group {
		flex: 1;
		row-gap: 20px;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group > .title {
		font-size: 14px;
		color: #999;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group > .entries {
		display: block !important; height: auto !important;
		opacity: 1 !important;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group > .entries > .links {
		row-gap: 15px;
	}
}
@media (max-width: 899.99px) {
	#footer > .container > .content-wrapper > .menu {
		flex-direction: column;
		row-gap: 20px;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group {
		border-bottom: solid 1px rgba(0,0,0,.15);
		
		transition: border-color .4s ease-out;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group.open { border-color: rgba(0,0,0,0); }
	#footer > .container > .content-wrapper > .menu > .menu-group:not(.open):hover { border-color: rgba(0,0,0,1); }
	#footer > .container > .content-wrapper > .menu > .menu-group > .title {
		position: relative;
		padding-left: 24px;
		
		line-height: 160%;
		font-size: 20px;
		
		cursor: pointer;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group > .title:before {
		content: '';
		position: absolute; top: 50%; left: 0; transform: translateY(-50%) rotate(-45deg);
		display: block; height: 16px; width: 16px;
		
		background-image: url("../../images/icons/cta-arrow.svg");
		background-position: center;
		background-size: contain;
		background-repeat: no-repeat;
		
		transition: transform .4s ease-out;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group.open > .title:before {
		transform: translateY(-50%) rotate(45deg);
	}
	#footer > .container > .content-wrapper > .menu > .menu-group > .entries {
		display: none;
		padding: 20px 0 20px;
		
		opacity: 0;
	}
	#footer > .container > .content-wrapper > .menu > .menu-group > .entries > .links {
		row-gap: 10px;
	}
}

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper > .attributions {
	grid-area: attributions;
	margin: 0;
	
	font-size: 12px;
	font-weight: 500;
	color: #666666;
}
#footer > .container > .content-wrapper > .attributions .credits > .cta-link {
	position: relative;
	padding-right: 20px;
}
#footer > .container > .content-wrapper > .attributions .credits > .cta-link:after {
	content: '';
	position: absolute; top: 50%; right: 0; transform: translateY(-50%);
	display: block; height: 13px; width: 13px;
	
	background-image: url(../../images/aply-logo.svg);
	background-position: center;
	background-size: contain;
	background-repeat: no-repeat;
}

/*------------------------------------------------------------------------*/

#footer > .container > .content-wrapper > .legal {
	grid-area: legal;
	display: flex;
	flex-direction: row;
	
	column-gap: 24px;
}
#footer > .container > .content-wrapper > .legal > .menu-item {
	font-size: 12px;
	font-weight: 500;
	color: #666666;
}
@media (min-width: 900px) {
	#footer > .container > .content-wrapper > .legal { justify-content: flex-end; }
}
@media (max-width: 899.99px) {
	#footer > .container > .content-wrapper > .legal { justify-content: flex-start; }
}